Qore SqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
SqlUtil::AbstractSqlUtilBase Class Reference

base class for abstract SqlUtil classes More...

Inheritance diagram for SqlUtil::AbstractSqlUtilBase:
[legend]

## Public Member Functions
Qore::SQL::AbstractDatasource | getDatasource ()
| gets the underlying AbstractDatasource
string | getDatasourceDesc ()
| returns a descriptive string for the datasource
string | getDriverName ()
| returns the database driver name

## Private Member Functions
| constructor (AbstractDatasource nds, *hash nopts)
| creates the object; private constructor More...
Mutex | l ()
| mutex for atomic actions

## Private Attributes
AbstractDatasource | ds
| the connection to the database server
string | dsdesc
| datasource description
*hash | opts
| option hash

## Detailed Description

base class for abstract SqlUtil classes

## Member Function Documentation

SqlUtil::AbstractSqlUtilBase::constructor | ( | AbstractDatasource | nds,
|  | *hash | nopts
| ) |  |
| private

creates the object; private constructor

Parameters

  nds | the AbstractDatasource for the connection to the database
  nopts | a hash of options for the table creation string; see SqlUtil::AbstractTable::TableOptions for common options; each driver can support additional driver-specific options

Exceptions

  OPTION-ERROR | invalid or unsupported option passed